summaryrefslogtreecommitdiff
path: root/openwrt/target/linux/package/base-files
diff options
context:
space:
mode:
authorFlorian Fainelli <florian@openwrt.org>2006-05-05 09:58:23 +0000
committerFlorian Fainelli <florian@openwrt.org>2006-05-05 09:58:23 +0000
commit59c2c686619b355cd8b11675b48904669d316535 (patch)
treed7aec5d33a1e6671ec588fb882300395b2dadcce /openwrt/target/linux/package/base-files
parentc0171a10805352b44e314beb04e3c485202ff693 (diff)
downloadmtk-20170518-59c2c686619b355cd8b11675b48904669d316535.zip
mtk-20170518-59c2c686619b355cd8b11675b48904669d316535.tar.gz
mtk-20170518-59c2c686619b355cd8b11675b48904669d316535.tar.bz2
More au1000 fixes. Clean up patch Add mount_root specific (different partition naming) Add an init script to kernel command line to set up OpenWrt at boot time
SVN-Revision: 3730
Diffstat (limited to 'openwrt/target/linux/package/base-files')
-rwxr-xr-xopenwrt/target/linux/package/base-files/files/au1000-2.6/sbin/mount_root23
1 files changed, 23 insertions, 0 deletions
diff --git a/openwrt/target/linux/package/base-files/files/au1000-2.6/sbin/mount_root b/openwrt/target/linux/package/base-files/files/au1000-2.6/sbin/mount_root
new file mode 100755
index 0000000..5dd1b0c
--- /dev/null
+++ b/openwrt/target/linux/package/base-files/files/au1000-2.6/sbin/mount_root
@@ -0,0 +1,23 @@
+#!/bin/sh
+size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
+mount none /tmp -t tmpfs -o size=$size
+
+if [ "$1" != "failsafe" ]; then
+ mtd unlock filesystem
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ if [ $(cat /proc/mtd | wc -l) = 6 ]; then
+ mtd erase filesystem
+ jffs2root --move
+ else
+ mount -o remount,rw /dev/root /
+ fi
+ else
+ . /bin/firstboot
+ fi
+fi
+
+mount none /tmp -t tmpfs -o remount,nosuid,nodev,mode=1777
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts
+mount -t sysfs none /sys 2>&-